# Raspberry Pi Pico 2 - with Rust!

Mostly stolen from https://github.com/rp-rs/rp-hal/tree/main/rp235x-hal-examples

# Setup

1. Get `rustup` and `picotool` by running `direnv allow` (or however you like)
2. Install Rust components via `rustup` by running `rustup show`

# Flashing

Hold your Pi Pico 2's `BOOTSEL` button while plugging it in to your machine.
Then run `cargo run --release`.

To use the RISC-V target, run
`cargo run --release --target riscv32imac-unknown-none-elf`.
